<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "purpose";
$formname = 'Purpose';
$file = "purpose_fr.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);
    

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code !='' ")or die(mysqli_error($conn));
    include("includes/linkshead.php");
    ?>  
    </head>
    <body>
        <div class="container table-responsive" style="width: 60%;">
            <?php include("includes/head_rep.php"); ?>            
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-bordered table-hover">
                        <tr class="mySearchTr">
                            <th>Sr</th>
                            <th>Hsncode</th>
                            <th>Description 1</th>
                            <th>Description 2</th>
                    
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {
                         
                            
                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[hsncode]</td>";
                            Echo "<td>$pmain[descrip1]</td>";
                            Echo "<td>$pmain[descrip2]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?

if (isset($_POST["excel"])) {
    
    $contents.="Sr,Hsncode,Description\n";

    $ctr = 0;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $ctr++;
        $phsncode = $pmain['hsncode'];
        $descrip1 = $pmain['descrip1'];
        $descrip2 = $pmain['descrip2'];

        $contents.=$ctr . ",";
        $contents.=$phsncode . ",";
        $contents.=$descrip1 . " ". "$descrip2".  "\n";
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
